Bug 1415400 - gssproxy: server localhost not responding, timed out
Summary: gssproxy: server localhost not responding, timed out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gssproxy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 15:14 UTC by Steve Dickson
Modified: 2017-01-29 00:20 UTC (History)
5 users (show)

Fixed In Version: gssproxy-0.6.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-29 00:20:51 UTC
Type: Bug


Attachments (Terms of Use)
logging from journalctl -r -o cat -u gssproxy --no-pager (50.02 KB, text/plain)
2017-01-21 15:14 UTC, Steve Dickson
no flags Details

Description Steve Dickson 2017-01-21 15:14:49 UTC
Created attachment 1243164 [details]
logging from journalctl -r -o cat -u gssproxy --no-pager

Description of problem:
gssproxy fails to start up

See attached log

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. systemctl start gssproxy
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Simo Sorce 2017-01-21 16:48:35 UTC
Comment on attachment 1243164 [details]
logging from journalctl -r -o cat -u gssproxy --no-pager

Can you install debuginfo so we see where this happened ?

Comment 2 Steve Dickson 2017-01-23 14:48:42 UTC
(gdb) bt
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007ffff5e3222a in __GI_abort () at abort.c:89
#2  0x00007ffff5e76350 in __libc_message (do_abort=do_abort@entry=2, 
    fmt=fmt@entry=0x7ffff5f8f338 "*** Error in `%s': %s: 0x%s ***\n")
    at ../sysdeps/posix/libc_fatal.c:175
#3  0x00007ffff5e8051a in malloc_printerr (ar_ptr=<optimized out>, ptr=<optimized out>, 
    str=0x7ffff5f8f708 "double free or corruption (out)", action=3) at malloc.c:5077
#4  _int_free (av=<optimized out>, p=<optimized out>, have_lock=<optimized out>)
    at malloc.c:3873
#5  0x00007ffff5e841ac in __GI___libc_free (mem=<optimized out>) at malloc.c:2947
#6  0x000055555555964d in free_cred_store_elements (cs=cs@entry=0x7fffeba53440)
    at src/gp_config.c:65
#7  0x000055555555d290 in gp_add_krb5_creds (min=min@entry=0x7fffeba53550, 
    gpcall=gpcall@entry=0x7fffebb539a0, acquire_type=acquire_type@entry=ACQ_NORMAL, 
    in_cred=in_cred@entry=0x0, desired_name=desired_name@entry=0x0, 
    cred_usage=<optimized out>, cred_usage@entry=2, initiator_time_req=0, 
    acceptor_time_req=0, output_cred_handle=0x7fffeba53560, actual_mechs=0x0, 
    initiator_time_rec=0x0, acceptor_time_rec=0x0) at src/gp_creds.c:752
#8  0x0000555555566466 in gp_accept_sec_context (gpcall=0x7fffebb539a0, arg=0x7fffeba53770, 
    res=0x7fffeba536d0) at src/gp_rpc_accept_sec_context.c:58
#9  0x0000555555562e83 in gp_rpc_execute (res=0x7fffeba536d0, arg=0x7fffeba53770, proc=9, 
    gpcall=0x7fffebb539a0) at src/gp_rpc_process.c:321
#10 gp_rpc_process_call (gpcall=gpcall@entry=0x7fffebb539a0, inbuf=<optimized out>, 
    inlen=<optimized out>, outbuf=outbuf@entry=0x7fffebb53990, 
    outlen=outlen@entry=0x7fffebb53998) at src/gp_rpc_process.c:378
#11 0x000055555555c6ab in gp_handle_query (w=<optimized out>, q=0x55555577e990)
    at src/gp_workers.c:424
#12 gp_worker_main (pvt=0x55555577e160) at src/gp_workers.c:378
#13 0x00007ffff61ce7cd in start_thread (arg=0x7fffebb54700) at pthread_create.c:333
#14 0x00007ffff5f0691f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Comment 3 Robbie Harwood 2017-01-23 18:43:13 UTC
Please test https://koji.fedoraproject.org/koji/taskinfo?taskID=17394100 and let me know if it fixes the issue.  Thanks!

Comment 4 Robbie Harwood 2017-01-23 19:09:59 UTC
(The failures in that build are due to rawhide being broken; let me know if you need a build for those architectures.)

Comment 5 Steve Dickson 2017-01-23 20:57:24 UTC
(In reply to Robbie Harwood from comment #3)
> Please test https://koji.fedoraproject.org/koji/taskinfo?taskID=17394100 and
> let me know if it fixes the issue.  Thanks!

It seems to fix the issue... 

Tested-by: Steve Dickson <steved@redhat.com>

Comment 6 Fedora Update System 2017-01-23 22:22:23 UTC
gssproxy-0.6.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c47de4898

Comment 7 Robbie Harwood 2017-01-23 22:24:53 UTC
Thanks for testing!

Comment 8 Fedora Update System 2017-01-28 19:19:15 UTC
gssproxy-0.6.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c47de4898

Comment 9 Fedora Update System 2017-01-29 00:20:51 UTC
gssproxy-0.6.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.